import java.util.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import com.nokia.mid.ui.*;


class BoomScreen extends Canvas {
  private Image bombImage;
  
  private int textColor = 0x00ffffff;
  private int timeColor = 0x00A3E4FF;
  private int backColor = 0x007F0000;
  
  /* Constructor */
  public BoomScreen(){
    try{
      bombImage = Image.createImage("/boom.png");
    } catch (Exception e){
      e.printStackTrace();
    }
  }  
  
  public void paint(Graphics g) {
    int topSpace = 20;
  
    int width = getWidth();
    int height = getHeight();
    Font font = g.getFont();

    g.setColor(backColor);
    g.fillRect(0, 0, width, height);
    
    Font bigTextFont = Font.getFont(Font.FACE_PROPORTIONAL, Font.STYLE_BOLD, Font.SIZE_LARGE);
    Font normalTextFont = Font.getFont(Font.FACE_SYSTEM, Font.STYLE_PLAIN, Font.SIZE_MEDIUM);
    Font largeTextFont = Font.getFont(Font.FACE_SYSTEM, Font.STYLE_PLAIN, Font.SIZE_LARGE);
    Font timeTextFont = Font.getFont(Font.FACE_MONOSPACE, Font.STYLE_BOLD, Font.SIZE_LARGE);
    
    
    //g.setColor(textColor);
    //g.setFont(bigTextFont);    
    //g.drawString("BOOOOOM!", getWidth() / 2, topSpace, Graphics.TOP | Graphics.HCENTER);
    
    g.drawImage(bombImage, getWidth() / 2, getHeight() / 2, Graphics.VCENTER | Graphics.HCENTER);
    
  }
  
} 

